Skip to main content
GET
/
bank_account_balances
List bank account balances
curl --request GET \
  --url https://api.endclose.com/v1/bank_account_balances \
  --header 'X-API-KEY: <api-key>'
[
  {
    "bank_account_id": 123,
    "date": "2023-12-25",
    "balance_type": "opening_ledger",
    "amount_cents": 123,
    "id": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

X-API-KEY
string
header
required

Query Parameters

bank_account_id
string
required

The bank account to list balances for

Response

List of bank account balances

bank_account_id
integer
required

ID of the bank account this balance belongs to

date
string<date>
required

The date of the balance

balance_type
enum<string>
required

The type of balance

Available options:
opening_ledger,
closing_ledger,
current_ledger,
opening_available,
opening_available_next_business_day,
closing_available,
current_available,
previously_closed_book,
other
amount_cents
integer
required

The balance amount in cents (e.g., 1234 = $12.34)

id
integer

Unique numeric identifier

created_at
string<date-time>
updated_at
string<date-time>